function PlugInit(type) {
    var html = '<div id="load"><div id="loading"></div></div><div id="tong_ji" class="green_font">'
        + '已生成 <span id="Span1" style="color: Red;">0</span> 页面，共 <span style="color: Red;" id="Span2">0</span> 页面需要生成'
        + '</div><div id="jieguo">正在等待采集...</div>';
    $("#State").html(html);
    $("#BtnDef").click(function () { BtnPlugClick(); });
    $("#BtnDelete").click(function () { DeleteHtml(); });
}

function BtnPlugClick() {
    CreateOninit();
    var lang = "";
    $("input[name='Language']").each(function () {
        if ($(this).is(":checked")) {
            lang += $(this).val() + ",";
        }
    });
    
    if (lang != "") {
        var menuid = Number($("#MenuID").val());
        var limit = Number($("#Limit").val());
        $.ajax({
            type: "get",
            dataType: "html",
            async: false,
            url: "dataajax.aspx?type=htmlcreate&stype=5&datatype=page&languages=" + lang + "&menuid=" + menuid + "&limit=" + limit + "&t=" + Math.random(),
            beforeSend: function (XMLHttpRequest) {
                CmsData.Common.BtnDisabled(true);
                $("#jieguo").html("准备生成,正在统计文件列表...");
            },
            success: function (data) {
                if (data.indexOf("Error") > -1) {
                    $("#Back").prepend(data);
                    CmsData.Common.BtnDisabled(false);
                } else {
                    var str = data;
                    $("#Span2").html(str.split('|').length - 1);
                    if (menuid == 0)
                        GetListSubmit(1, $("#MenuID").find("option").length, str, lang);
                    else
                        CreateHtml(str);
                }
            },
            error: function () { CmsData.Common.BtnDisabled(false); }
        });
    }
}

//统计文件列表
function GetListSubmit(i, len, str, lang) {
    $.ajax({
        type: "get",
        dataType: "html",
        url: "dataajax.aspx?type=htmlcreate&stype=5&datatype=page&languages=" + lang + "&menuid="
            + document.getElementById("MenuID").options[i].value + "&t=" + Math.random(),
        success: function (data) {
            if (data.indexOf("Error") > -1) {
                $("#Back").prepend(data + document.getElementById("MenuID").options[i].text + "<br />");
            } else {
                str += data;
                if (i < len - 1) {
                    $("#Span2").html(str.split('|').length - 1);
                    i++;
                    GetListSubmit(i, len, str, lang);
                } else {
                    CreateHtml(str);
                }
            }
        },
        error: function () { $("#Back").prepend("error...<br />"); }
    });
}

function CreateHtml(val) {
    if (val == "") {
        $("#jieguo").html("网站生成结束...");
        CmsData.DataFun.BtnDisabled(false);
        return;
    }

    $("#jieguo").html("文件列表统计完毕,开始生成...");

    if (val.indexOf("Error:") > -1) {
        $("#Back").prepend(val);
    } else {
        var sp = val.split('|');
        var pageSum = sp.length - 1;
        var dl = Number($("#TreadTotal").val());
        $("#Span2").html(pageSum);

        if (pageSum > dl) {
            var p = pageSum % dl;
            var p1 = (pageSum - p) / dl;
            for (var i = 0; i < dl; i++) {
                CreateStart(sp, i * p1, (i + 1) * p1, pageSum);
            }
            CreateStart(sp, pageSum - p, pageSum, pageSum);
        } else {
            CreateStart(sp, 0, pageSum, pageSum);
        }
    }
}

function CreateStart(sp, start, pageSum, al) {
    $.post("dataajax.aspx?type=htmlcreate&stype=5&datatype=create&t=" + Math.random(), { url: sp[start] }, function (data) {
        start = start + 1;
        $("#Span1").html(Number($("#Span1").html()) + 1);
        $("#Back").prepend(data);
        document.getElementById("loading").style.width = parseFloat(Number($("#Span1").html()) / al * 100).toFixed(2) + "%";

        if (start < pageSum) {
            CreateStart(sp, start, pageSum, al);
        } else {
            if (Number($("#Span1").html()) == al) {
                $("#jieguo").html("所有页面生成结束...");
                CmsData.Common.BtnDisabled(false);
            }
        }
    }, "html");
}

function DeleteHtml() {
    if (confirm("是否删除所有已生成文件?")) {
        $.ajax({
            type: "get",
            url: "dataajax.aspx?type=htmlcreate&stype=5&datatype=delete&t=" + Math.random(),
            beforeSend: function (XMLHttpRequest) {
                CmsData.Common.BtnDisabled(true);
                $("#jieguo").html("正在删除所有生成的静态文件...");
            },
            success: function (data) {
                if (data.indexOf("Error") > -1) {
                    $("#Back").prepend(data);
                } else {
                    $("#jieguo").html("所有生成的静态文件删除完成...");
                    CmsData.Common.BtnDisabled(false);
                }
            }
        });
    }
}

function CreateOninit() {
    $("#Span1").html("0");
    $("#Span2").html("0");
    $("#jieguo").html("正在等待采集...");
    $("#Back").html("");
    document.getElementById("loading").style.width = "0%";
}